Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx.adaptor.http
Class CreateMBeanCommand

    java.lang.Object
      |
      +--org.huihoo.jfox.jmx.adaptor.http.AbstractCommand
            |
            +--org.huihoo.jfox.jmx.adaptor.http.CreateMBeanCommand

All Implemented Interfaces:
  Command

public class CreateMBeanCommand
extends AbstractCommand

Author:
  Young Yang

Field Summary

Fields inherited from class org.huihoo.jfox.jmx.adaptor.http.AbstractCommand
`ctx`

Constructor Summary
`CreateMBeanCommand()`

Method Summary
`void` | `doGet(HttpRequest request, HttpResponse response)` set the VelocityContext
`void` | `doPost(HttpRequest request, HttpResponse response)`
`static void` | `main(java.lang.String[] args)`
`static java.lang.String[]` | `split(java.lang.String sp, java.lang.String delim)`

Methods inherited from class org.huihoo.jfox.jmx.adaptor.http.AbstractCommand
`execute, getTemplateName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateMBeanCommand

    public CreateMBeanCommand()

Method Detail

### doGet

    public void doGet(HttpRequest request,
                      HttpResponse response)
               throws java.lang.Exception

  Description copied from class: `AbstractCommand`
  set the VelocityContext

  Specified by:
    `doGet` in class `AbstractCommand`
    `java.lang.Exception`

### doPost

    public void doPost(HttpRequest request,
                       HttpResponse response)
                throws java.lang.Exception

  Overrides:
    `doPost` in class `AbstractCommand`
    `java.lang.Exception`

### split

    public static java.lang.String[] split(java.lang.String sp,
                                           java.lang.String delim)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD